/**
 * @author: Jaimon Mathew <mail@jaimon.co.uk>
 */

package uk.co.jaimon.si;

import java.util.ArrayList;
import java.util.List;

import org.apache.myfaces.trinidad.model.ChildPropertyTreeModel;
import org.apache.myfaces.trinidad.model.TreeModel;

public class TreeTableIssue {
    private TreeModel msgTree = null;
    public TreeTableIssue() {
        MsgBean rootMsg = new MsgBean("All Messages");
        rootMsg.setChildren(getTestMessages());
        msgTree = new ChildPropertyTreeModel(rootMsg, "children");
    }
    
    private List<MsgBean> getTestMessages() {
        List<MsgBean> testMsgs = new ArrayList<MsgBean>();
        for(int i=0;i<100;i++) {
            testMsgs.add(new MsgBean("Message " + i));
        }
        return testMsgs;
    }

    public TreeModel getMsgTree() {
        return msgTree;
    }

    public void setMsgTree(TreeModel errorTree) {
        this.msgTree = errorTree;
    }
}
